PropertyFile.Entry.Type (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional, class: PropertyFile, class: Entry, class: Type

# Class PropertyFile.Entry.Type

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.optional.PropertyFile.Entry.Type

Enclosing class:
  `PropertyFile.Entry`

public static class PropertyFile.Entry.Type extends EnumeratedAttribute
Enumerated attribute with the values "int", "date" and "string".

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DATE_TYPE`
  date
  `static final int`
  `INTEGER_TYPE`
  int
  `static final int`
  `STRING_TYPE`
  string

  ### Fields inherited from class EnumeratedAttribute

  `value`
  Modifier and Type
  Field
  Description
  `protected String`
  `value`
  The selected value in this enumeration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Type()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getValues()`
  This is the only method a subclass needs to implement.
  `static int`
  `toType(String type)`
  Convert string to index.

  ### Methods inherited from class EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`
  Modifier and Type
  Method
  Description
  `final boolean`
  `containsValue(String value)`
  Is this value included in the enumeration?
  `final int`
  `getIndex()`
  `static EnumeratedAttribute`
  `getInstance(Class<? extends EnumeratedAttribute> clazz, String value)`
  Factory method for instantiating EAs via API in a more developer friendly way.
  `final String`
  `getValue()`
  `final int`
  `indexOfValue(String value)`
  get the index of a value in this enumeration.
  `void`
  `setValue(String value)`
  Invoked by `IntrospectionHelper`.
  `String`
  `toString()`
  Convert the value to its string form.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### INTEGER_TYPE

    public static final int INTEGER_TYPE
    int
    See Also:
      - Constant Field Values

  - ### DATE_TYPE

    public static final int DATE_TYPE
    date
    See Also:
      - Constant Field Values

  - ### STRING_TYPE

    public static final int STRING_TYPE
    string
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Type

    public Type()

- ## Method Details

  - ### getValues

    public String[] getValues()
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

  - ### toType

    public static int toType(String type)
    Convert string to index.
    Parameters:
      `type` - the string to convert.
    Returns:
      the index.